<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="icon" href="https://img.icons8.com/dusk/64/000000/list.png"/>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Comfortaa:wght@300&family=Pangolin&display=swap" rel="stylesheet"> 

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

    <link rel="stylesheet" href="./assets/css/style.css">


    <title>To Do List App</title>
</head>
<body>
    <header>
        <h1>MY TO DO LIST</h1>
    </header>
    
    <section class="main container">
        <div class="data row">
            <input type="text" id="todo" placeholder="enter to do" onfocus=this.value=''>
            <button id="addItem" class="btn" onclick="list"><img src="https://img.icons8.com/ios-glyphs/30/000000/add-property.png" width="20px" height="20px"/>ADD ITEM/S</button>
            <button id="clearItem" class="btn"><img src="https://img.icons8.com/material-sharp/24/000000/clear-symbol--v1.png" width="20px" height="20px"/>CLEAR ITEM/S</button>
        </div>

        <div class="details row">
            <div class="col-12 col-md-6">
                <h2>TO DO LIST</h2>
                <ul id="list"></ul>
                <p id="status"></p>
            </div>
        
            <div class="col-12 col-md-6">
                <h2>OTHER DETAILS</h2>
                <div>
                    <h3>Array Length:</h3>
                    <p id="length">0</p>
                </div>
                <div>
                    <h3>Last Item:</h3>
                    <p id="lastItem">NONE</p>
                </div>
                <div>
                    <h3>First Item:</h3>
                    <p id="firstItem">NONE</p>
                </div>
            </div>
        </div>
    </section>
    
    <footer>
        <p>Disclaimer</p>
        <p>&copy 2021</p>
        <a href="https://www.linkedin.com/in/janineroxannebustamante/"><img src="https://img.icons8.com/android/48/000000/linkedin.png" width="20px" height="20px"/></a>
    </footer>
    

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>

    <script src="./assets/js/script.js"></script>
</body>
</html>